Subject: Re: [PATCH nf-next v3 1/2] netfilter: Make IP_NF_IPTABLES_LEGACY selectable

From: Breno Leitao <[email-masked]>
Date: Thu, 29 Aug 2024 03:08:01 -0700

Hello Jakub,

On Wed, Aug 28, 2024 at 11:41:23AM -0700, Jakub Kicinski wrote:
> On Wed, 28 Aug 2024 08:05:09 -0700 Breno Leitao wrote:
> > On Wed, Aug 28, 2024 at 07:42:40AM -0700, Jakub Kicinski wrote:
> > > On Tue, 27 Aug 2024 07:52:40 -0700 Breno Leitao wrote:  
> > > > +++ b/tools/testing/selftests/net/config  
> > > 
> > > You gotta check all the configs, net is now fine, but bpf still breaks.
> > > There may be more configs we don't use in CI.  
> > 
> > Sure, how can I find which configs I should care about?
> 
> There are various configs in the tree. Grep for the configs you convert
> from select to depends on, they will all need updating.

I am looking at all files that depend on these Kconfig options, and
there are a lot of tests.

Thinking more about the problem, it doesn't seem to be a good idea to
change dependency from all NF modules to NF_IPTABLES_LEGACY. In other
words, the `s/selects/depends on/` is the part that is causing all this
hassle, and it seems unnecessary.

That said, I would suggest we do not change the dependency, and keep the
"select NF_IPTABLES_LEGACY", and keep NF_IPTABLES_LEGACY user selectable.

This will make the patch safer, while fixing the problem.